<?php
    $stores = $block->getStore();
    $baseURL = $block->getBaseUrl();
?>
<script>
require(
    [
        'jquery',
        'Magento_Ui/js/modal/modal',
        'loader',
        'domReady!'
    ],
    function(
        $,
        modal
    ) {
        var options = {
            type: 'popup',
            responsive: true,
            innerScroll: true,
            modalClass: 'custom-popup-modal-location',
            buttons: []
        };
        var popup = modal(options, $('#custom-popup-modal-location'));
        $('#custom-popup-modal-location ul li').click(function(event){
            event.preventDefault();
            setCookie("isShow", "Nope", 365);
            var store = $(this).attr('id');
            setCookie("orderLocation", store, 365);
            if(store.length > 0){
                $.ajax({
                    type:"POST",
                    url: "<?php echo $baseURL."locationpopup/index/change" ?>",
                    data: {store_id: store},
                    beforeSend:function(){
                        $("#custom-popup-modal-location").loader("show");
                        $('#custom-popup-modal-location').trigger('processStart');
                    },
                    success:function(response){
                        if (response.status && response.statusCode == 200) {
                            location.reload();
                        }
                    },
                    complete:function(){
                        $("#custom-popup-modal-location").loader("hide");
                    }
                });
            }
        });
        $("#open-modal-location").click(function(){
            $("#custom-popup-modal-location").modal("openModal");
        });
    }
);
</script>

<script type="text/javascript" defer="">
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays*24*60*60*1000));
      var expires = "expires="+ d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    function getCookie(cname) {
        var name = cname + "=";
        var decodedCookie = decodeURIComponent(document.cookie);
        var ca = decodedCookie.split(';');
        for(var i = 0; i <ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    }
</script>
<a id="open-modal-location" href="#">Change Location</a>

<div id="custom-popup-modal-location" role="dialog" aria-hidden="true" data-keyboard="false" data-mage-init='{"loader": { "icon": "{store URL}/static/{static version}/frontend/Magento/luma/en_US/images/loader-2.gif"}}'>
    <div class="modal-content">
        <div class="modal-header">
            Where do you want the delivery?
        </div>
        <div class="modal-body">
            <div class="listed_city">
                <ul class="citi_detail">
                    <?php foreach ($stores as $key => $value):?>
                        <li class="city_name" id="<?php echo $value['code'] ?>">
                            <img src="https://image.flaticon.com/icons/svg/25/25875.svg">
                            <p><?=$value['name'] ?></p>
                        </li>
                    <?php endforeach;?>
                </ul>
            </div>
            <div class="search_area">

            </div>
        </div>
    </div>
</div>